﻿/*
	Simple diffuse shader that multiplies in a colour.
*/

precision highp float;
uniform sampler2D tex0;
uniform vec4 colour;
varying vec3 texcoord;

void main()
{
    gl_FragColor = texture2D(tex0, texcoord.xy) * colour;
	gl_FragColor *= texcoord.z; // alpha
}