﻿#include "TK421.vsh"

uniform mat4 transform;

attribute vec4 position;
attribute vec2 uv;
 
varying vec3 texcoord;

void main()
{
    vec4 pos = proj * vec4((transform * vec4(position.xyz,1)).xyz,1);

    texcoord = vec3(uv,1);	// bake alpha into w

    gl_Position = pos;
}
