﻿/*
	Simple diffuse shader that includes global alpha in the z component of the texcoord.
*/

precision mediump float;

uniform sampler2D tex0;

varying vec3 texcoord;

void main()
{
    gl_FragColor = texture2D(tex0, texcoord.xy);
	gl_FragColor *= texcoord.z;
}