﻿/*
	Simple shader that fills in a texture with a solid colour.
*/

precision highp float;
uniform sampler2D tex0;
uniform vec4 colour;
varying vec3 texcoord;

void main()
{
	vec4 main = texture2D(tex0, texcoord.xy);
	vec4 col = colour * main.a;
	col.a = main.a;
    gl_FragColor = col;
	gl_FragColor *= texcoord.z; // alpha
}