﻿precision mediump float;

uniform sampler2D tex0;

varying vec3 texcoord;

void main()
{
	// get the original color
   	gl_FragColor = texture2D(tex0, texcoord.xy);

   	// keep the alpha but set the rest to black
   	gl_FragColor.xyz *= 0.1;

    // apply sprite alpha
	gl_FragColor *= texcoord.z;
}